version: '3'
services:
  app:
    image: php:7.2-fpm-alpine
    volumes:
      - $HTTP_DIR:/usr/src/app
    restart: unless-stopped
    networks:
      default:
        ipv4_address: $NET.100
    deploy:
      resources:
        limits:
          cpus: '0.50'
          memory: 100M

networks:
  default:
    ipam:
      config:
        - subnet: $NET.0/24

